Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.jpa
Class CommitAfterMethodAdvice

    java.lang.Object
      org.apache.tapestry5.internal.jpa.CommitAfterMethodAdvice

All Implemented Interfaces:
  MethodAdvice

    public class CommitAfterMethodAdvice

extends java.lang.Object
implements MethodAdvice

Constructor Summary
`CommitAfterMethodAdvice(EntityManagerManager manager, javax.persistence.PersistenceContext annotation)`

Method Summary
`void` | `advise(MethodInvocation invocation)` Advise the method, usually invoking `MethodInvocation.proceed()` at some point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitAfterMethodAdvice

    public CommitAfterMethodAdvice(EntityManagerManager manager,
                                   javax.persistence.PersistenceContext annotation)

Method Detail

### advise

    public void advise(MethodInvocation invocation)

  Description copied from interface: `MethodAdvice`
  Advise the method, usually invoking `MethodInvocation.proceed()` at some point. The advice is free to inspect and even replace parameters. Most Aspects will then invoke `MethodInvocation.proceed()`. The advice may then inspect and replace any checked thrown exceptions. Some advice (for example, caching) may selectively decide to bypass the invocation entirely, and instead invoke some other method or otherwise set a return value or thrown exception.

  Specified by:
    `advise` in interface `MethodAdvice`
  Parameters:
    `invocation` - identifies the method being invoked, including parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.